/*
 * News downloading shell util for PIMPPA
 *
 *
 * Uses: news.c (and indirectly suck, uudeview)
 *
 *
 */

#include <errno.h>
#include <time.h>
#include <ctype.h>
#include <dirent.h>
#include <getopt.h>
#include <unistd.h>
#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <limits.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/vfs.h>

#include "pimppa.h"
#include "news.h"
	
int WaitA=10, WaitS=2;
	
void usage(char *name)
{
	fprintf(stderr, "Usage: %s [options]\n\n"
			"-a <n>      Wait After n messages, def=%d\n"
			"-g <pat>    Newsgroup name SQL pattern to match, def=all defined\n"
			"-H <host>   Specify NNTP host.\n"
			"-n          Nazi behaviour, delete all leeched files which\n"
			"            do not have an assign pattern already defined.\n"
			"-v          Verbose output\n"
			"-w <secs>   Wait secs after [-a n] messages, def=%d\n",
		name,WaitA, WaitS);
}


int main(int argc, char *argv[])
{
	char server[PATH_MAX];
	char groups[PATH_MAX];
	int go=1;
	int options=0;

	strcpy(server, P_DEFAULT_NNTPSERVER);
	groups[0]=0;

	while(go)
	{
		switch(getopt(argc, argv, "g:a:hH:nsvVw:"))
		{
			case 'a':
				WaitA=atoi(optarg);
				break;
			case 'g':
				strcpy(groups, optarg);
				break;
			case 'H':
				strcpy(server, optarg);
				break;
			case 'n':
				options|=OPT_NAZI;
				break;
			case 'v':
				options|=OPT_VERBOSE;
				break;
			case 'V':
				printf("%s %s %s\n", PACKAGE, argv[0], VERSION);
				return(0);
				break;
			case 'w':
				WaitS=atoi(optarg);
				break;
			case -1:
				go=0;
				break;
			case 'h':
			default:
				usage(argv[0]);
				return(0);
				break;
		}
	}
		
	if(p_dlnews(server, groups, options, WaitA, WaitS))
		return(-1);
		
	return(0);
}

